| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
pngread.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Functions
| PNG_FUNCTION (png_structp, PNGAPI png_create_read_struct,(png_const_charp user_png_ver, png_voidp error_ptr, png_error_ptr error_fn, png_error_ptr warn_fn), PNG_ALLOCATED)
| PNG_FUNCTION (png_structp, PNGAPI png_create_read_struct_2,(png_const_charp user_png_ver, png_voidp error_ptr, png_error_ptr error_fn, png_error_ptr warn_fn, png_voidp mem_ptr, png_malloc_ptr malloc_fn, png_free_ptr free_fn), PNG_ALLOCATED)
void PNGAPI | png_read_info (png_structp png_ptr, png_infop info_ptr)
void PNGAPI | png_read_update_info (png_structp png_ptr, png_infop info_ptr)
void PNGAPI | png_start_read_image (png_structp png_ptr)
void PNGAPI | png_read_row (png_structp png_ptr, png_bytep row, png_bytep dsp_row)
void PNGAPI | png_read_rows (png_structp png_ptr, png_bytepp row, png_bytepp display_row, png_uint_32 num_rows)
void PNGAPI | png_read_image (png_structp png_ptr, png_bytepp image)
void PNGAPI | png_read_end (png_structp png_ptr, png_infop info_ptr)
void PNGAPI | png_destroy_read_struct (png_structpp png_ptr_ptr, png_infopp info_ptr_ptr, png_infopp end_info_ptr_ptr)
void | png_read_destroy (png_structp png_ptr, png_infop info_ptr, png_infop end_info_ptr)
void PNGAPI | png_set_read_status_fn (png_structp png_ptr, png_read_status_ptr read_row_fn)
void PNGAPI | png_read_png (png_structp png_ptr, png_infop info_ptr, int transforms, voidp params)

## Function Documentation

void PNGAPI png_destroy_read_struct | ( | png_structpp | png_ptr_ptr,
|  | png_infopp | info_ptr_ptr,
|  | png_infopp | end_info_ptr_ptr
| ) |  |

Definition at line 1084 of file pngread.c.

PNG_FUNCTION | ( | png_structp | ,
|  | PNGAPI | png_create_read_struct,
|  | (png_const_charp user_png_ver, png_voidp error_ptr, png_error_ptr error_fn, png_error_ptr warn_fn) | ,
|  | PNG_ALLOCATED |
| ) |  |

Definition at line 22 of file pngread.c.

PNG_FUNCTION | ( | png_structp | ,
|  | PNGAPI | png_create_read_struct_2,
|  | (png_const_charp user_png_ver, png_voidp error_ptr, png_error_ptr error_fn, png_error_ptr warn_fn, png_voidp mem_ptr, png_malloc_ptr malloc_fn, png_free_ptr free_fn) | ,
|  | PNG_ALLOCATED |
| ) |  |

Definition at line 35 of file pngread.c.

void png_read_destroy | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_infop | end_info_ptr
| ) |  |

Definition at line 1157 of file pngread.c.

void PNGAPI png_read_end | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 889 of file pngread.c.

void PNGAPI png_read_image | ( | png_structp | png_ptr,
|  | png_bytepp | image
| ) |  |

Definition at line 824 of file pngread.c.

void PNGAPI png_read_info | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 228 of file pngread.c.

void PNGAPI png_read_png | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | transforms,
|  | voidp | params
| ) |  |

Definition at line 1308 of file pngread.c.

void PNGAPI png_read_row | ( | png_structp | png_ptr,
|  | png_bytep | row,
|  | png_bytep | dsp_row
| ) |  |

Definition at line 488 of file pngread.c.

void PNGAPI png_read_rows | ( | png_structp | png_ptr,
|  | png_bytepp | row,
|  | png_bytepp | display_row,
|  | png_uint_32 | num_rows
| ) |  |

Definition at line 769 of file pngread.c.

void PNGAPI png_read_update_info | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 445 of file pngread.c.

void PNGAPI png_set_read_status_fn | ( | png_structp | png_ptr,
|  | png_read_status_ptr | read_row_fn
| ) |  |

Definition at line 1296 of file pngread.c.

void PNGAPI png_start_read_image | ( | png_structp | png_ptr | ) |

Definition at line 470 of file pngread.c.